BizKitHub
DocsAPI ReferenceOrder/bff/order/create-payment
postOrderAdmin BFF

/bff/order/create-payment

Initiates an online payment session for the order and returns a redirect URL.

OrderpostBffOrderCreate-payment

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

providerstringRequired

Payment provider code (e.g. "stripe", "gopay").

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
redirectUrlstringOptional

Response example

application/json
{
  "success": true,
  "redirectUrl": "example_redirectUrl"
}

Request example

POST /bff/order/create-payment

post
curl -X POST "https://api.bizkithub.com/bff/order/create-payment" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "provider": "example_provider"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key